Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.Axis

    java.lang.Object
      java.lang.Enum<Qt.Axis>
          com.trolltech.qt.core.Qt.Axis

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.Axis>

Enclosing interface:
  Qt

    public static enum Qt.Axis

extends java.lang.Enum<Qt.Axis>
implements QtEnumerator

This enum type defines three values to represent the three axes in the cartesian coordinate system.

See Also:
  `QTransform::rotate`, `QTransform::rotateRadians`

Enum Constant Summary
`XAxis` The X axis.
`YAxis` The Y axis.
`ZAxis` The Z axis.

Method Summary
`static Qt.Axis` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.Axis` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.Axis[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### XAxis

    public static final Qt.Axis XAxis

  The X axis.

### YAxis

    public static final Qt.Axis YAxis

  The Y axis.

### ZAxis

    public static final Qt.Axis ZAxis

  The Z axis.

Method Detail

### values

    public static final Qt.Axis[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.Axis c : Qt.Axis.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.Axis valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.Axis resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD